<?php
namespace Modules\Cotacao\Modules\PlanilhaCotacao\Services;

use Doctrine\ORM\EntityManager;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class Sup02900EmissaoPlanilhaDeCotacaoService {
    
    protected $entityManager;
    
    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
    
    public function getCdFilial($cdfilial) {
        $query = $this->entityManager->getConnection()->prepare(
            "SELECT DISTINCT
                NVL(FILIAL.CDFILCENTCMP, FILIAL.CDFILIAL)  AS CDFILIAL
              FROM
                FILIAL FIL,
                FILIAL
              WHERE
                (FILIAL.CDFILIAL = :P_CDFILIAL) AND
                NVL(FILIAL.CDFILCENTCMP, FILIAL.CDFILIAL) = FIL.CDFILIAL"
        );
        $query->execute(
            array(
                "P_CDFILIAL" => $cdfilial
            )
        );
        $cdfilial2 = $query->fetchAll()[0]["CDFILIAL"];
        return $cdfilial2;
    }
    
}